<?php defined('ABSPATH') || die; ?>

<h2 class="title"><?= _x('Custom Text Settings', 'admin-text', 'site-reviews'); ?></h2>

<div class="glsr-notice-inline components-notice is-info" style="margin-left:0;">
    <p class="components-notice__content">
        <?= sprintf(_x('If you have a multilingual website, you may need to use the %s plugin instead. Make sure to select "Custom" when Loco Translate asks for the location of the new translation file.', 'admin-text', 'site-reviews'), '<a href="https://wordpress.org/plugins/loco-translate/">Loco Translate</a>'); ?>
    </p>
</div>

<p>
    <?= _x('Here you can customise any English text of the plugin that is shown on the frontend of your website, including the field labels and placeholders of the review form.', 'admin-text', 'site-reviews'); ?>
    <?= _x('If you are using the Polylang plugin, any custom text you enter here will be translatable on the Polylang "Strings translations" page.', 'admin-text', 'site-reviews'); ?>
</p>

<div class="glsr-strings-form">
    <div class="glsr-search-box" id="glsr-search-translations">
        <span class="screen-reader-text"><?= _x('Search here for translatable text', 'admin-text', 'site-reviews'); ?></span>
        <div class="glsr-search-box-wrap">
            <span class="glsr-spinner"><span class="spinner"></span></span>
            <input type="search" class="glsr-search-input" autocomplete="off" placeholder="<?= _x('Search here for text to change...', 'admin-text', 'site-reviews'); ?>">
            <div class="glsr-search-results" data-prefix="{{ database_key }}"></div>
        </div>
    </div>
    <table class="glsr-strings-table wp-list-table widefat striped {{ class }}">
        <thead>
            <tr>
                <th scope="col" class="manage-column column-primary"><?= _x('Original Text', 'admin-text', 'site-reviews'); ?></th>
                <th scope="col" class="manage-column"><?= _x('Custom Text', 'admin-text', 'site-reviews'); ?></th>
            </tr>
        </thead>
        <tbody>{{ translations }}</tbody>
    </table>
    <input type="hidden" name="{{ database_key }}[settings][strings][]">
</div>

<script type="text/html" id="tmpl-glsr-string-plural">
<?php include glsr()->path('views/partials/translations/plural.php'); ?>
</script>
<script type="text/html" id="tmpl-glsr-string-single">
<?php include glsr()->path('views/partials/translations/single.php'); ?>
</script>
