<?php
    // https://css-tricks.com/tabs-its-complicated/

    global $wpdb;

    function getContent($team) {
?>
        <header class="c-tabs--headline" ><?php echo $team->post_content; ?></header>
        <div class="c-members">
<?php
            $members = get_the_terms($team->ID, 'member');

            if (is_array($members)):
                foreach ($members as &$member):
                    $photo = get_term_meta( $member->term_id, 'photo', true);
                    $position = get_term_meta( $member->term_id, 'position', true);
                    $enabled = get_term_meta( $member->term_id, 'enabled', true);

                    if ($enabled):
?>
                    <div class="c-member">
                        <picture class="c-member--photo">
                            <img src="<?php echo $photo && $photo['guid'] ? $photo['guid'] : '/wp-content/themes/biuro/i/member-placeholder.png'; ?>" alt="<?php echo $member->name; ?>" loading="lazy" />
                        </picture>
                        <h4 class="c-member--info c-member--name" title="<?php echo $member->name; ?>"><?php echo $member->name; ?></h4>
                        <div class="c-member--info c-member--position" title="<?php echo $position; ?>"><?php echo $position; ?></div>
                    </div>
<?php
                    endif;
                endforeach;
            endif;
?>
        </div>
<?php
    }

    $params = array(
        'limit' => -1
    );

    $langs = pll_the_languages(array('raw'=>1));
    $langID = $langs[pll_current_language('slug')]['id'];
    $where = ' `t`.`post_parent` = 0 AND langs.`object_id` IS NOT NULL';

    $params['join'] = ' LEFT JOIN `' . $wpdb->prefix . 'term_relationships` AS `langs` ON `langs`.`object_id` = `t`.`ID` AND `langs`.`term_taxonomy_id` = ' . $langID;
    $params['where'] = $where;

    $pods = pods( 'team', $params);

    if ($pods->total() > 0):

        $teams = $pods->data();
?>
    <div class="l-content--main">
        <h2><?php _e('Meet our teams 👋', 'biuro'); ?></h2>

        <div class="js-tabs c-tabs">
            <ul class="o-nav c-tabs--nav">
<?php
            foreach ($teams as &$team):
?>
                <li class="c-tabs--nav-item">
                    <a class="js-tab c-tabs--nav-link" data-hash="#<?php echo $team->post_name; ?>"  href="#<?php echo $team->post_name; ?>"><?php echo $team->post_title; ?></a>
                </li>
<?php
            endforeach;
?>
            </ul>
<?php
            foreach ($teams as &$team):
                $where = ' `t`.`post_parent` = ' . $team->ID . ' AND langs.`object_id` IS NOT NULL';

                $params['join'] = ' LEFT JOIN `' . $wpdb->prefix . 'term_relationships` AS `langs` ON `langs`.`object_id` = `t`.`ID` AND `langs`.`term_taxonomy_id` = ' . $langID;
                $params['where'] = $where;

                $subPods = pods( 'team', $params);
?>
                <section id="<?php echo $team->post_name; ?>" class="js-tabs-content c-tabs--content">
<?php
                    if ($subPods->total() > 0):
                        $subTeams = $subPods->data();

                        foreach ($subTeams as &$subTeam):
                            getContent($subTeam);
                        endforeach;
                    else:
                        getContent($team);
                    endif;
?>
                </section>
<?php
            endforeach;
?>
        </div>
    </div>
<?php
    endif;
?>
